VersionContainerInterface::iterator_base< Itr > Class Template Reference

smell like a pkgCache::VerIterator More...

`#include <apt-pkg/cacheset.h>`

## Public Member Functions

| operator pkgCache::VerIterator (void)
pkgCache * | Cache () const
unsigned long | Index () const
int | CompareVer (const pkgCache::VerIterator &B) const
const char * | VerStr () const
const char * | Section () const
const char * | Arch () const
pkgCache::PkgIterator | ParentPkg () const
pkgCache::DescIterator | DescriptionList () const
pkgCache::DescIterator | TranslatedDescription () const
pkgCache::DepIterator | DependsList () const
pkgCache::PrvIterator | ProvidesList () const
pkgCache::VerFileIterator | FileList () const
bool | Downloadable () const
const char * | PriorityType () const
std::string | RelStr () const
bool | Automatic () const
pkgCache::VerFileIterator | NewestFile () const
bool | end () const
pkgCache::Version const * | operator-> () const

## Detailed Description

template<class Itr>
class APT::VersionContainerInterface::iterator_base< Itr >

smell like a pkgCache::VerIterator

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h